## ocaml-eio 1.3

=== Makefile ===
.PHONY: all bench stress

all:
	dune build @runtest @all

bench:
	dune exec -- ./bench/main.exe

test_posix:
	EIO_BACKEND=posix dune runtest

dscheck:
	dune exec -- ./lib_eio/tests/dscheck/test_condition.exe
	dune exec -- ./lib_eio/tests/dscheck/test_rcfd.exe
	dune exec -- ./lib_eio/tests/dscheck/test_sync.exe
	dune exec -- ./lib_eio/tests/dscheck/test_semaphore.exe
	dune exec -- ./lib_eio/tests/dscheck/test_cells.exe

stress:
	dune exec -- ./stress/stress_proc.exe
	dune exec -- ./stress/stress_semaphore.exe
	dune exec -- ./stress/stress_release.exe

docker:
	docker build -t eio .

=== doc/traces/Makefile ===
all: both-posix.svg cancel-posix.svg switch-mock.svg net-posix.svg multicore-posix.svg

%.svg: %.fxt
	eio-trace render "$<"

=== debian/changelog ===
ocaml-eio (1.3-1) unstable; urgency=medium

  * Initial release (Closes: #1114671)

 -- Stéphane Glondu <glondu@debian.org>  Mon, 13 Oct 2025 08:43:50 +0200

=== debian/control ===
Source: ocaml-eio
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-ocaml (>= 2),
 libbigstringaf-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-dllist-ocaml-dev,
 liboptint-ocaml-dev,
 libpsq-ocaml-dev,
 libfmt-ocaml-dev,
 libhmap-ocaml-dev,
 libdomain-local-await-ocaml-dev,
 libmtime-ocaml-dev,
 libiomux-ocaml-dev,
 libcrowbar-ocaml-dev <!nocheck>,
 libmdx-ocaml-dev <!nocheck>,
 libdscheck-ocaml-dev <!nocheck>,
 netbase <!nocheck>,
 ocaml-dune,
 ocaml
Standards-Version: 4.7.2
Homepage: https://github.com/ocaml-multicore/eio
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-eio
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-eio.git

Package: libeio-ocaml
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: effect-based direct-style IO API for OCaml -- runtime files
 Eio provides an effects-based direct-style IO stack for OCaml 5. For
 example, you can use Eio to read and write files, make network
 connections, or perform CPU-intensive calculations, running multiple
 operations at the same time. It aims to be easy to use, secure, well
 documented, and fast. A generic cross-platform API is implemented by
 optimised backends for different platforms. Eio replaces existing
 concurrency libraries such as Lwt (Eio and Lwt libraries can also be
 used together).
 .
 This package contains only the shared runtime stub libraries.

Package: libeio-ocaml-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: effect-based direct-style IO API for OCaml -- development files
 Eio provides an effects-based direct-style IO stack for OCaml 5. For
 example, you can use Eio to read and write files, make network
 connections, or perform CPU-intensive calculations, running multiple
 operations at the same time. It aims to be easy to use, secure, well
 documented, and fast. A generic cross-platform API is implemented by
 optimised backends for different platforms. Eio replaces existing
 concurrency libraries such as Lwt (Eio and Lwt libraries can also be
 used together).
 .
 This package includes the development files.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-multicore/eio/releases?per_page=50 \
https://github.com/ocaml-multicore/eio/releases/download/\d[\.\d]*/eio-@ANY_VERSION@\.tbz
